<?php
require 'config.php';

if (!isset($_SESSION['access_token'])) {
    header('Location: index.php');
    exit('Access denied. Please log in.');
}

// Fetch user details from session
$userDetails = $_SESSION['user_details'];
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Secure Page</title>
</head>
<body>
<h1>Welcome, <?= htmlspecialchars($userDetails['name'] ?? 'User') ?></h1>
<p>Email: <?= htmlspecialchars($userDetails['email'] ?? 'N/A') ?></p>
<p><a href="logout.php">Logout</a></p>
</body>
</html>
